Skip to content

Modules

All operations require authentication, except the 2 marked Public.

6 operationsv1/hosting/web
Agent setup

List available modulesProductionPublic

GET
/1.0/hosting/web/moduleList

List available modules. Returns the IDs of the modules that can be installed. Filter them by active, branch or latest.

Query parameters

active
boolean

Filter the value of active property (=)

branch
BranchEnum

Filter the value of branch property (=)

Valuesoldstabletesting
latest
boolean

Filter the value of latest property (=)

Response

200integer[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/moduleList
ResponseExample
[ 0]

Get an available moduleProductionPublic

GET
/1.0/hosting/web/moduleList/{id}

Get an available module. Returns the name, version, branch, languages and requirements of the module, and the modules it can be upgraded to.

Path parameters

id
required
integer

The ID of the module

Response

200ModuleListsuccessful operation
active
read-only
boolean

Is the module available?

adminNameType
read-only
AdminNameTypeEnum

The type of the admin name

Valuesemailstring
author
read-only
string

The packager of this module for OVH

branch
read-only
BranchEnum

The branch of the module

Valuesoldstabletesting
id
read-only
integer

The ID of the module

keywords
read-only
string[]

The keywords for this module

language
read-only
LanguageEnum[]

All available languages for this module

Valuesczdeenesfifritltnlplpt
languageRequirement
read-only
UnitAndValue_string

Minimal language version required to run this module

latest
read-only
boolean

Is this the latest version available?

name
read-only
string

The name of the module

size
read-only
UnitAndValue_double

Size of the module

upgradeFrom
read-only
integer[]

The IDs of the module you can upgrade to

version
read-only
string

The version of the module

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/moduleList/{id}
ResponseExample
{ "active": true, "adminNameType": "email", "author": "string", "branch": "old", "id": 0, "keywords": [ "string" ], "language": [ "cz" ], "languageRequirement": { "unit": "string", "value": "string" }, "latest": true, "name": "string", "size": { "unit": "string", "value": 0 }, "upgradeFrom": [ 0 ], "version": "string"}

List installed modulesProduction

GET
/1.0/hosting/web/{serviceName}/module

List installed modules. Returns the installation IDs of the modules installed on the hosting. Get the details of one with its installation ID.

Path parameters

serviceName
required
string

The internal name of your hosting

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/module \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an installed moduleProduction

GET
/1.0/hosting/web/{serviceName}/module/{id}

Get an installed module. Returns the path, URL, admin login, language, dependencies and status of the installed module.

Path parameters

id
required
integer

Installation ID

serviceName
required
string

The internal name of your hosting

Response

200modulesuccessful operation
adminFolder
read-only
string

The admin folder, relative to the module's installation path

adminName
read-only
string

Login for the admin account

creationDate
read-only
stringdate-time

Date of the installation of the module

dependencies
read-only
DependencyType[]

The dependencies to which the module has access. A dependency can be a standard database (like MySQL or PostgreSQL) or a key-value store (like Redis or Memcached) for example

id
read-only
integer

Installation ID

language
read-only
LanguageEnum

The language of the module

Valuesczdeenesfifritltnlplpt
lastUpdate
read-only
stringdate-time

Date of the last module's upgrade

moduleId
read-only
integer

ID of the module associated with this installation

path
read-only
string

Where the module is installed, relative to your home directory

status
read-only
StatusEnum

The module status

Valuescreatedcreatingdeletingupdating
targetUrl
read-only
string

The URL from where your module can be reached

taskId
read-only
integer

The task ID working on this module

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/module/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "adminFolder": "string", "adminName": "string", "creationDate": "2024-01-01T12:00:00Z", "dependencies": [ { "name": "string", "password": "string", "port": 0, "prefix": "string", "server": "string", "type": "mysql", "user": "string" } ], "id": 0, "language": "cz", "lastUpdate": "2024-01-01T12:00:00Z", "moduleId": 0, "path": "string", "status": "created", "targetUrl": "string", "taskId": 0}

Install a moduleProduction

POST
/1.0/hosting/web/{serviceName}/module

Install a module. Installs a module from the available modules in a folder of the hosting, with its admin account and dependencies, and returns the task. The admin password needs at least 8 characters.

Path parameters

serviceName
required
string

The internal name of your hosting

Request body (required)

adminName
string

The login for the admin account (may be a standard string or your email)

adminPassword
stringpassword

The password for the admin account (at least 8 characters)

dependencies
DependencyType[]

The dependencies that we have to configure on your module. A dependency can be a standard database (like MySQL or PostgreSQL) or a key-value store (like Redis or Memcached) for example

domain
string

On which domain the module has to be available (it can be a multidomain or a subdomain) - if not set, the module will be available on your serviceName domain

language
LanguageEnum

The language to set to your module

Valuesczdeenesfifritltnlplpt
moduleId
required
integer

ID of the module you want to install

path
string

Where to install the module, relative to your home directory

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/module \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}

Delete an installed moduleProduction

DELETE
/1.0/hosting/web/{serviceName}/module/{id}

Delete an installed module. Deletes the module installation and returns the task. Use the installation ID, not the module ID.

Path parameters

id
required
integer

Installation ID

serviceName
required
string

The internal name of your hosting

Response

200tasksuccessful operation
doneDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

the id of the task

lastUpdate
read-only
stringdate-time

last update

objectId
read-only
string

Task related object ID

objectType
read-only
ObjectTypeEnum

Task object type

ValuesAbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebd
startDate
read-only
stringdate-time

Task Creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrorinittodo

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/module/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}